Files
List deleted files in a bucket
Returns soft-deleted files still inside the trash window for one bucket.
Required scopes: buckets:read + files:read.
GET
/
files
/
deleted-files
/
{bucketId}
List deleted files in a bucket
curl --request GET \
--url https://api.everabyte.io/api/files/deleted-files/{bucketId} \
--header 'X-Public-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Public-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://api.everabyte.io/api/files/deleted-files/{bucketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'GET',
headers: {'X-Public-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://api.everabyte.io/api/files/deleted-files/{bucketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.everabyte.io/api/files/deleted-files/{bucketId}"
headers = {
"X-Public-Key": "<api-key>",
"X-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.everabyte.io/api/files/deleted-files/{bucketId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Public-Key: <api-key>",
"X-Secret-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.everabyte.io/api/files/deleted-files/{bucketId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Public-Key", "<api-key>")
req.Header.Add("X-Secret-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": 200,
"message": "Files retrieved",
"data": {
"total": 132,
"page": 1,
"totalPages": 7,
"limit": 20,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"extFile": "<string>",
"sizeByte": 123,
"readableSize": "<string>",
"bucketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visibility": "private",
"type": "file",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"tags": [
"<string>"
],
"sharedUsersCount": 123,
"sharedLink": {}
}
]
}
}{
"status": 123,
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"data": {}
}{
"status": 123,
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"data": {}
}{
"status": 123,
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"data": {}
}{
"status": 123,
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"data": {}
}{
"status": 123,
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"data": {}
}Authorizations
Public half of the company API key. Format: pk_ followed by 64 hexadecimal characters.
Secret half of the company API key. Format: sk_ followed by 64 hexadecimal characters. Stored as a hash server-side and shown only at creation or rotation.
Path Parameters
Bucket identifier. Read it from the bucket list, or copy it from the Everabyte dashboard.
Query Parameters
1-based page number.
Required range:
x >= 1Page size. Read limit from the response rather than assuming the default.
Required range:
x >= 1Free-text filter.
Sort direction or field, as accepted by the endpoint.
⌘I
List deleted files in a bucket
curl --request GET \
--url https://api.everabyte.io/api/files/deleted-files/{bucketId} \
--header 'X-Public-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Public-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://api.everabyte.io/api/files/deleted-files/{bucketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'GET',
headers: {'X-Public-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://api.everabyte.io/api/files/deleted-files/{bucketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.everabyte.io/api/files/deleted-files/{bucketId}"
headers = {
"X-Public-Key": "<api-key>",
"X-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.everabyte.io/api/files/deleted-files/{bucketId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Public-Key: <api-key>",
"X-Secret-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.everabyte.io/api/files/deleted-files/{bucketId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Public-Key", "<api-key>")
req.Header.Add("X-Secret-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": 200,
"message": "Files retrieved",
"data": {
"total": 132,
"page": 1,
"totalPages": 7,
"limit": 20,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"extFile": "<string>",
"sizeByte": 123,
"readableSize": "<string>",
"bucketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visibility": "private",
"type": "file",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"tags": [
"<string>"
],
"sharedUsersCount": 123,
"sharedLink": {}
}
]
}
}{
"status": 123,
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"data": {}
}{
"status": 123,
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"data": {}
}{
"status": 123,
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"data": {}
}{
"status": 123,
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"data": {}
}{
"status": 123,
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"data": {}
}